summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/pydio-sync/pydio-sync.SlackBuild64
-rw-r--r--network/pydio-sync/pydio-sync.desktop2
-rw-r--r--network/pydio-sync/pydio-sync.info14
-rw-r--r--network/pydio-sync/pydio-sync_128x128.pngbin0 -> 3268 bytes
-rw-r--r--network/pydio-sync/pydio-sync_32x32.pngbin806 -> 0 bytes
-rw-r--r--network/pydio-sync/slack-desc2
6 files changed, 46 insertions, 36 deletions
diff --git a/network/pydio-sync/pydio-sync.SlackBuild b/network/pydio-sync/pydio-sync.SlackBuild
index 12c60c39ea..6222ffce87 100644
--- a/network/pydio-sync/pydio-sync.SlackBuild
+++ b/network/pydio-sync/pydio-sync.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for "pydio-sync".
-# Copyright 2013-2015 Marcel Saegebarth <marc@mos6581.de>
+# Copyright 2013-2016 Marcel Saegebarth <marc@mos6581.de>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -25,17 +25,18 @@
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=pydio-sync
-VERSION=${VERSION:-0.8.4}
+SRCNAM=PydioSync-Linux
+VERSION=${VERSION:-1.2.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-SRCNAM=pydio_sync
-
-case "$( uname -m )" in
- i?86) ARCH=i486 ;;
- arm*) ARCH=arm ;;
- *) ARCH=$( uname -m ) ;;
-esac
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
@@ -43,22 +44,28 @@ PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
- SRCARCH="x86"
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
- SRCARCH=$ARCH
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
else
- echo "Only x86 & x86_64 is supported. Exit."
- exit 1
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $SRCNAM-$VERSION-SNAPSHOT-linux_$SRCARCH
-unzip $CWD/$SRCNAM-$VERSION-SNAPSHOT-linux_$SRCARCH.zip
-cd $SRCNAM-$VERSION-SNAPSHOT-linux_$SRCARCH
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-v$VERSION.tar.gz
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -66,22 +73,25 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-mkdir -p $PKG/opt/$PRGNAM $PKG/usr/bin $PKG/usr/doc/$PRGNAM-$VERSION \
-$PKG/usr/share/applications $PKG/usr/share/pixmaps
+mkdir -p $PKG/opt/$PRGNAM $PKG/usr/bin $PKG/usr/share/applications \
+ $PKG/usr/share/pixmaps
-cp -R . $PKG/opt/$PRGNAM
-chmod 755 $PKG/opt/$PRGNAM/$PRGNAM-$VERSION-SNAPSHOT.jar
-
-mkdir -p $PKG/usr/bin
-cat <<- EOF > $PKG/usr/bin/$PRGNAM
+cp -ar $TMP/$PRGNAM-$VERSION/* $PKG/opt/$PRGNAM
+cat <<EOF > $PKG/usr/bin/pydio-sync
#!/bin/sh
-exec java -jar /opt/$PRGNAM/$PRGNAM-$VERSION-SNAPSHOT.jar
+(
+ cd /opt/$PRGNAM/pydio-ui
+ ./pydio-ui
+)
EOF
-chmod 0755 $PKG/usr/bin/$PRGNAM
+chmod +x $PKG/usr/bin/pydio-sync
+
+# DO NOT STRIP BINARIES!
install -D -m 644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
-install -D -m 644 $CWD/${PRGNAM}_32x32.png $PKG/usr/share/pixmaps
+install -D -m 644 $CWD/${PRGNAM}_128x128.png $PKG/usr/share/pixmaps
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/pydio-sync/pydio-sync.desktop b/network/pydio-sync/pydio-sync.desktop
index ecb087ff6a..1eb86ff2b5 100644
--- a/network/pydio-sync/pydio-sync.desktop
+++ b/network/pydio-sync/pydio-sync.desktop
@@ -6,5 +6,5 @@ Exec=pydio-sync
StartupNotify=true
Terminal=false
Type=Application
-Icon=/usr/share/pixmaps/pydio-sync_32x32.png
+Icon=/usr/share/pixmaps/pydio-sync_128x128.png
Categories=Network;
diff --git a/network/pydio-sync/pydio-sync.info b/network/pydio-sync/pydio-sync.info
index ad28fb8f64..455ddafced 100644
--- a/network/pydio-sync/pydio-sync.info
+++ b/network/pydio-sync/pydio-sync.info
@@ -1,10 +1,10 @@
PRGNAM="pydio-sync"
-VERSION="0.8.4"
-HOMEPAGE="http://ajaxplorer.info/"
-DOWNLOAD="http://dl.ajaxplorer.info/nightly/sync/0.8.4-SNAPSHOT/pydio_sync-0.8.4-SNAPSHOT-linux_x86.zip"
-MD5SUM="c63798ee2ab45894ffb9c748f7da1b68"
-DOWNLOAD_x86_64="http://dl.ajaxplorer.info/nightly/sync/0.8.4-SNAPSHOT/pydio_sync-0.8.4-SNAPSHOT-linux_x86_64.zip"
-MD5SUM_x86_64="e5a94dd2214e922297e62c63e371f779"
-REQUIRES="jdk"
+VERSION="1.2.0"
+HOMEPAGE="https://pydio.com/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.pydio.com/pub/pydio-sync/release/1.2.0/PydioSync-Linux-v1.2.0.tar.gz"
+MD5SUM_x86_64="3029a265610be50486e444d3d97ef7b5"
+REQUIRES=""
MAINTAINER="Marcel Saegebarth"
EMAIL="marc@mos6581.de"
diff --git a/network/pydio-sync/pydio-sync_128x128.png b/network/pydio-sync/pydio-sync_128x128.png
new file mode 100644
index 0000000000..170f7c9506
--- /dev/null
+++ b/network/pydio-sync/pydio-sync_128x128.png
Binary files differ
diff --git a/network/pydio-sync/pydio-sync_32x32.png b/network/pydio-sync/pydio-sync_32x32.png
deleted file mode 100644
index cc66b5949d..0000000000
--- a/network/pydio-sync/pydio-sync_32x32.png
+++ /dev/null
Binary files differ
diff --git a/network/pydio-sync/slack-desc b/network/pydio-sync/slack-desc
index d82b8ad9a0..94ca4334de 100644
--- a/network/pydio-sync/slack-desc
+++ b/network/pydio-sync/slack-desc
@@ -11,7 +11,7 @@ pydio-sync:
pydio-sync: Pydio Sync is a Dropbox-like desktop sync client for the
pydio-sync: cloud file management Pydio.
pydio-sync:
-pydio-sync: Homepage: http://pyd.io/
+pydio-sync: Homepage: https://pydio.com/
pydio-sync:
pydio-sync:
pydio-sync: